Intrusion Prevention

Adobe.Shockwave.Player.rcsL.Handling.Memory.Corruption

Description

This indicates an attempt to exploit a Memory Corruption vulnerability in Adobe Shockwave Player.
This vulnerability is due to an error that occurs when the vulnerable software handles a malformed DIR file. An attacker may exploit this to execute arbitrary code via a crafted DIR file.

Affected Products

Adobe Shockwave Player 12.2.8.198 and earlier

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Refer to the vendor's advisory for updates:
https://helpx.adobe.com/security/products/shockwave/apsb17-18.html

CVE References

CVE-2017-3086